package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.entity.ProductionCircleDosingList;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface ProductionCircleDosingListService extends BaseService<ProductionCircleDosingList> {
    void updateStatus(Long id, Integer status);

    List<ProductionCircleDosingList> getObjectByRecipeOId(Long id);

    List<String> getAllProductName();

	ProductionCircleDosingList getProductName(String matnr);

	void deleteDel(Long id);
}
